Package be.fgov.ehealth.hubservices.core.v2

# Class TransactionWithAuthorType

java.lang.Object
be.fgov.ehealth.hubservices.core.v2.TransactionWithAuthorType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:12:47+02:00", comments="JAXB RI v4.0.5") public class TransactionWithAuthorType extends Object implements Serializable

Java class for TransactionWithAuthorType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TransactionWithAuthorType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="id" type="{http://www.ehealth.fgov.be/standards/kmehr/id/v1}ID-KMEHR" maxOccurs="unbounded"/>
             <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-TRANSACTION" maxOccurs="unbounded"/>
             <element name="date" type="{http://www.w3.org/2001/XMLSchema}date"/>
             <element name="time" type="{http://www.w3.org/2001/XMLSchema}time"/>
             <element name="author" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}authorType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TransactionWithAuthorType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AuthorType`
  `getAuthor()`
  Gets the value of the author property.
  `List<CDTRANSACTION>`
  `getCds()`
  Gets the value of the cds property.
  `Instant`
  `getDate()`
  Gets the value of the date property.
  `List<IDKMEHR>`
  `getIds()`
  Gets the value of the ids property.
  `Instant`
  `getTime()`
  Gets the value of the time property.
  `void`
  `setAuthor(AuthorType value)`
  Sets the value of the author property.
  `void`
  `setDate(Instant value)`
  Sets the value of the date property.
  `void`
  `setTime(Instant value)`
  Sets the value of the time property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TransactionWithAuthorType

    public TransactionWithAuthorType()

- ## Method Details

  - ### getIds

    public List<IDKMEHR> getIds()
    Gets the value of the ids property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the ids property.

    For example, to add a new item, do as follows:

         getIds().add(newItem);

    Objects of the following type(s) are allowed in the list `IDKMEHR`

    Returns:
      The value of the ids property.

  - ### getCds

    public List<CDTRANSACTION> getCds()
    Gets the value of the cds property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cds property.

    For example, to add a new item, do as follows:

         getCds().add(newItem);

    Objects of the following type(s) are allowed in the list `CDTRANSACTION`

    Returns:
      The value of the cds property.

  - ### getDate

    public Instant getDate()
    Gets the value of the date property.
    Returns:
      possible object is `String`

  - ### setDate

    public void setDate(Instant value)
    Sets the value of the date property.
    Parameters:
      `value` - allowed object is `String`

  - ### getTime

    public Instant getTime()
    Gets the value of the time property.
    Returns:
      possible object is `String`

  - ### setTime

    public void setTime(Instant value)
    Sets the value of the time property.
    Parameters:
      `value` - allowed object is `String`

  - ### getAuthor

    public AuthorType getAuthor()
    Gets the value of the author property.
    Returns:
      possible object is `AuthorType`

  - ### setAuthor

    public void setAuthor(AuthorType value)
    Sets the value of the author property.
    Parameters:
      `value` - allowed object is `AuthorType`